import { world } from '@minecraft/server';

world.events.tick.subscribe(eventData => {
    const allPlayers = Array.from(world.getPlayers());

    const allEntities = Array.from(world.getDimension("overworld").getEntities());

    let i = 0;

    let e = 0;

    if (eventData.currentTick % 2 !== 0) {
        for (i = 0; i < allPlayers.length; i++) {
            if (allPlayers[i].hasTag('CampFireDamage')) {
                allPlayers[i].setOnFire(3, true);
            }
        }
    }
    if (eventData.deltaTime % 3 !== 0) {
        for (e = 0; e < allEntities.length; e++) {
            if (allEntities[e].hasTag('MobCampFireDamage')) {
                allEntities[e].setOnFire(1, true);
            }
        }
    }
})